Opened 3 years ago

Closed 2 years ago

#44500 closed update (fixed)

gdb @7.7.1_1: update to 7.9.1

Reported by: cartasegna.luca@… Owned by: stuartwesterman (Stuart Westerman)
Priority: Normal Milestone:
Component: ports Version:
Keywords: haspatch Cc: cooljeanius (Eric Gallager), guru@…
Port: gdb

Description

Gdb 7.8 has been released yesterday: I' m attaching a patch to update the Portfile(at the moment I only checked that the port builds fine, I will test if it works in the next days). This version adds supports for guile scripting that could/should be added to the Portfile but I didn' t look at it yet.

Attachments (3)

Portfile-gdb.diff (753 bytes) - added by cartasegna.luca@… 3 years ago.
Portfile patch
update-gdb.diff (1.5 KB) - added by stuartwesterman (Stuart Westerman) 2 years ago.
update-gdb-no-revision.diff (1.6 KB) - added by stuartwesterman (Stuart Westerman) 2 years ago.

Download all attachments as: .zip

Change History (14)

Changed 3 years ago by cartasegna.luca@…

Portfile patch

comment:1 Changed 3 years ago by cooljeanius (Eric Gallager)

  • Cc egall@… added

Cc Me!

comment:2 Changed 3 years ago by mf2k (Frank Schima)

  • Cc dweber@… removed
  • Owner changed from macports-tickets@… to dweber@…
  • Version 2.3.1 deleted

comment:3 Changed 3 years ago by mf2k (Frank Schima)

  • Owner changed from dweber@… to macports-tickets@…

dweber has retired. See #43834.

comment:4 Changed 3 years ago by mf2k (Frank Schima)

  • Owner changed from macports-tickets@… to stuartwesterman@…

comment:5 Changed 3 years ago by stuartwesterman (Stuart Westerman)

Updated the portfile locally, and went to test out gdb 7.8, and I'm getting strange errors that I didn't see when I previously tested 7.7.1.

http://pastebin.com/pNyhYUFb

It still seems to debug okay, but I don't like those warnings. I'm investigating.

comment:6 Changed 3 years ago by stuartwesterman (Stuart Westerman)

I haven't been able to determine the cause of the strange errors, or figure out how to make them go away. I think we should leave gdb at version 7.7.1, unless there is a compelling reason to update.

Again, version 7.8 seems to debug just fine (on my simple example: see pastebin link), but it has those strange OSO archive warnings. I took a cursory glance at the source, and I couldn't immediately see why I was getting the warnings on 7.8 and not getting the warnings on 7.7.1.

Last edited 3 years ago by stuartwesterman (Stuart Westerman) (previous) (diff)

comment:7 Changed 2 years ago by larryv (Lawrence Velázquez)

  • Cc guru@… added
  • Summary changed from Gdb @7.7.1: update to 7.8 to gdb @7.7.1_1: update to 7.9.1

Has duplicate #48065. GDB is now up to 7.9.1.

comment:8 Changed 2 years ago by stuartwesterman (Stuart Westerman)

I'm attaching the diff for the update. I still get the same OSO archive warnings as above, but I tested it and gdb seems usable.

Changed 2 years ago by stuartwesterman (Stuart Westerman)

comment:9 Changed 2 years ago by mf2k (Frank Schima)

Thanks. The revision line should be deleted because it starts at 0 when increasing the version and that is the default value.

Changed 2 years ago by stuartwesterman (Stuart Westerman)

comment:10 Changed 2 years ago by stuartwesterman (Stuart Westerman)

I've attached the diff with the revision line taken out.

comment:11 Changed 2 years ago by mf2k (Frank Schima)

  • Resolution set to fixed
  • Status changed from new to closed

Thanks! r137875.

Note: See TracTickets for help on using tickets.